## 技术栈

### 服务端
| 框架             | 备注           | 版本          |
| ---------------- | -------------- | ------------- |
| Spring  Boot     | 核心框架       | 2.0.1.RELEASE |
| mybatis  plus    | 持久框架       | 3.4.2         |
| sharding  sphere | 分库分表       | 4.1.0         |
| Maven            | 程序构建       |               |
| Mysql            | 数据库         | 5.6/5.7       |
| RabbitMQ         | 消息中间件AMQP | 3.x(3.6.14)   |
| Redis            | 缓存           | 5.x           |
| Spring Security  | 安全框架       | 2.0.1.RELEASE |
| Druid            | 数据库连接池   | 1.1.22        |
| xxl-job          | 定时任务       | 2.0.0         |
### 客户端
| 框架              | 备注         | 版本   |
| ----------------- | ------------ | ------ |
| webpack           | 构建工具     | 3.10.0 |
| ES6               | JS版本       |        |
| Vue.js            | 基础JS框架   | 2.6.14 |
| jQuery            | 辅助JS库     | 2.1.4  |
| Vue Router        | 路由管理     | 3.0.1  |
| Vuex              | 状态管理     | 3.0.1  |
| Element UI        | 基础UI库     | 2.15.5 |
| vue-element-admin | UI界面基于   |        |
| Axios             | 网络请求     | 0.18.0 |
| Scss              | CSS预处理    | 4.13.0 |
| ESLint            | 代码检查     | 4.13.1 |
| ECharts           | 报表系统     | 3.8.5  |
| 百度 UEditor      | 富文本编辑器 |        |
| 百度 Web Uploader | 图片上传插件 |        |

